Ruby: rb_classext_struct Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
rb_classext_struct Struct Reference

`#include <class.h>`

## Data Fields
struct st_table * | iv_index_tbl
struct st_table * | iv_tbl
struct rb_id_table * | m_tbl
struct rb_id_table * | const_tbl
struct rb_id_table * | callable_m_tbl
struct rb_id_table * | cc_tbl
struct rb_subclass_entry * | subclasses
struct rb_subclass_entry ** | parent_subclasses
struct rb_subclass_entry ** | module_subclasses
| In the case that this is an `ICLASS`, `module_subclasses` points to the link in the module's `subclasses` list that indicates that the klass has been included. More...
const VALUE | origin_
const VALUE | refined_class
rb_alloc_func_t | allocator
const VALUE | includer

## Detailed Description

Definition at line 34 of file class.h.

## Field Documentation

## ◆ allocator

rb_alloc_func_t rb_classext_struct::allocator

Definition at line 56 of file class.h.

## ◆ callable_m_tbl

struct rb_id_table* rb_classext_struct::callable_m_tbl

Definition at line 41 of file class.h.

## ◆ cc_tbl

struct rb_id_table* rb_classext_struct::cc_tbl

Definition at line 42 of file class.h.

## ◆ const_tbl

struct rb_id_table* rb_classext_struct::const_tbl

Definition at line 40 of file class.h.

## ◆ includer

const VALUE rb_classext_struct::includer

Definition at line 57 of file class.h.

## ◆ iv_index_tbl

struct st_table* rb_classext_struct::iv_index_tbl

Definition at line 35 of file class.h.

## ◆ iv_tbl

struct st_table* rb_classext_struct::iv_tbl

Definition at line 36 of file class.h.

## ◆ m_tbl

struct rb_id_table* rb_classext_struct::m_tbl

Definition at line 38 of file class.h.

## ◆ module_subclasses

struct rb_subclass_entry** rb_classext_struct::module_subclasses

In the case that this is an `ICLASS`, `module_subclasses` points to the link in the module's `subclasses` list that indicates that the klass has been included.

Hopefully that makes sense.

Definition at line 50 of file class.h.

## ◆ origin_

const VALUE rb_classext_struct::origin_

Definition at line 54 of file class.h.

## ◆ parent_subclasses

struct rb_subclass_entry** rb_classext_struct::parent_subclasses

Definition at line 44 of file class.h.

## ◆ refined_class

const VALUE rb_classext_struct::refined_class

Definition at line 55 of file class.h.

## ◆ subclasses

struct rb_subclass_entry* rb_classext_struct::subclasses

Definition at line 43 of file class.h.

The documentation for this struct was generated from the following file:

- internal/class.h